## debian-hamradio 0.5

=== Makefile ===
#!/usr/bin/make -f 
include /usr/share/blends-dev/Makefile

## debian-hamradio 0.2

=== debian/changelog ===
debian-hamradio (0.2) unstable; urgency=medium

  * tasks/logging:
    - Changed tucnak2 to tucnak
    - Removed twlog (no longer in archives)
  * tasks/packetmodes:
    - Removed aprsg (wnpp closed with no package)
  * tasks/morse:
    - Removed xdemorse (expecting to request removal soon)
  * tasks/sdr:
    - Added bladerf
    - Added hackrf

 -- Iain R. Learmonth <irl@debian.org>  Sat, 15 Aug 2015 21:31:04 +0100

debian-hamradio (0.1) unstable; urgency=medium

  * Initial release. (Closes: #785160)

 -- Iain R. Learmonth <irl@fsfe.org>  Tue, 12 May 2015 23:24:51 +0100

=== debian/control ===
# This file is autogenerated via make -f debian/rules dist.  Do not edit!
Source: debian-hamradio
Section: misc
Priority: extra
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Build-Depends-Indep: debhelper (>= 9),
                     blends-dev (>= 0.6.16.4)
Standards-Version: 3.9.6

Package: hamradio-tasks
Architecture: all
Depends: tasksel
Description: Debian Hamradio Tasks
 This package contains tasksel information for the Debian Hamradio Pure Blend.

Package: hamradio-antenna
Section: metapackages
Architecture: all
Depends: hamradio-tasks (= ${binary:Version})
Recommends: antennavis,
 gsmc,
 nec,
 nec2c,
 splat,
 xnec2c,
 yagiuda
Description: Debian Hamradio Antenna Packages
 This metapackage will install packages useful when working with antennas
 in Debian.

Package: hamradio-datamodes
Section: metapackages
Architecture: all
Depends: hamradio-tasks (= ${binary:Version})
Recommends: acfax,
 flamp,
 fldigi,
 flmsg,
 flwrap,
 hamfax,
 linpsk,
 qsstv,
 twpsk,
 wsjt,
 wsjtx
Suggests: comptext,
 comptty,
 kvasd-installer,
 linsim,
 psk31lx,
 wspr
Description: Debian Hamradio Data Modes Packages
 This metapackage will install packages useful for using data modes, such as
 RTTY and SSTV, including weak signal modes, such as JT65, with Debian.

Package: hamradio-digitalvoice
Section: metapackages
Architecture: all
Depends: hamradio-tasks (= ${binary:Version})
Recommends: d-rats,
 freedv
Suggests: svxlink
Description: Debian Hamradio Digital Voice Packages
 This metapackage will install packages useful when using
 digital voice modes on RF and for Internet linking.

Package: hamradio-logging
Section: metapackages
Architecture: all
Depends: hamradio-tasks (= ${binary:Version})
Recommends: cqrlog,
 klog,
 pyqso,
 tlf,
 trustedqsl,
 tucnak,
 xlog
Suggests: fllog
Description: Debian Hamradio Logging Packages
 This metapackage will install packages useful for logging (including for
 contests) with Debian.

Package: hamradio-morse
Section: metapackages
Architecture: all
Depends: hamradio-tasks (= ${binary:Version})
Recommends: aldo,
 cw,
 cwcp,
 cwdaemon,
 cwirc,
 ebook2cw,
 morse,
 morse2ascii,
 qrq,
 xcwcp
Suggests: flwkey
Description: Debian Hamradio Morse/CW Packages
 This metapackage will install packages useful for CW operation and
 for learning morse with Debian.

Package: hamradio-nonamateur
Section: metapackages
Architecture: all
Depends: hamradio-tasks (= ${binary:Version})
Recommends: gnuais,
 gnuaisgui
Suggests: dump1090,
 gnss-sdr
Description: Debian Hamradio Non-Amateur Modes Packages
 This metapackage will install packages useful for listening to non-amateur
 modes such as AIS and ADS-B.

Package: hamradio-packetmodes
Section: metapackages
Architecture: all
Depends: hamradio-tasks (= ${binary:Version})
Recommends: aprsdigi,
 ax25-apps,
 ax25-node,
 ax25-tools,
 ax25-xtools,
 ax25mail-utils,
 colrconv,
 direwolf,
 fbb,
 multimon,
 soundmodem,
 xastir
Suggests: aprx,
 baycomepp,
 baycomusb,
 z8530-utils2
Description: Debian Hamradio Packet Mode Packages
 This metapackage will install packages useful when using AX.25, including IPv4
 over AX.25 and APRS, with Debian.

Package: hamradio-rigcontrol
Section: metapackages
Architecture: all
Depends: hamradio-tasks (= ${binary:Version})
Recommends: chirp,
 flrig,
 grig,
 icom,
 libhamlib-utils,
 owx,
 tk2,
 tk5
Description: Debian Hamradio Rig Control Packages
 This metapackage will install packages with useful for rig
 control and programming.

Package: hamradio-satellite
Section: metapackages
Architecture: all
Depends: hamradio-tasks (= ${binary:Version})
Recommends: gpredict,
 predict,
 predict-gsat
Description: Debian Hamradio Satellite Operation Packages
 This metapackage will install packages useful for amateur satellite operation.

Package: hamradio-sdr
Section: metapackages
Architecture: all
Depends: hamradio-tasks (= ${binary:Version})
Recommends: airspy,
 bladerf,
 cutesdr,
 gnuradio,
 gqrx-sdr,
 hackrf,
 lysdr,
 osmo-sdr,
 quisk,
 rtl-sdr,
 sdrangelove
Suggests: dream,
 gnss-sdr,
 linrad,
 sdr-j
Description: Debian Hamradio Software Defined Radio Packages
 This metapackage will install packages useful when using
 Software-Defined Radio with Debian.

Package: hamradio-tools
Section: metapackages
Architecture: all
Depends: hamradio-tasks (= ${binary:Version})
Recommends: gcb,
 splat,
 twclock,
 wwl,
 xdx
Suggests: flnet,
 pydxcluster
Description: Debian Hamradio Tools Packages
 This metapackage will install packages with useful hamradio-related tools.

Package: hamradio-training
Section: metapackages
Architecture: all
Depends: hamradio-tasks (= ${binary:Version})
Recommends: aldo,
 cw,
 cwcp,
 fccexam,
 hamexam,
 morse,
 xcwcp
Description: Debian Hamradio Training Packages
 This metapackage will install packages useful when training
 for hamradio exams with Debian.

## debian-hamradio 0.3

=== debian/changelog ===
debian-hamradio (0.3) unstable; urgency=medium

  * Mark all tasks to be installed for Debian Installer (Closes: #825179)
  * tasks/packetmodes:
    - Removed ax25-node (no longer in archives)
    - Added uronode

 -- Iain R. Learmonth <irl@debian.org>  Sat, 06 Aug 2016 13:21:20 +0100

=== debian/control ===
--- 
+++ 
@@ -14,17 +14,36 @@
 Description: Debian Hamradio Tasks
  This package contains tasksel information for the Debian Hamradio Pure Blend.
 
+Package: hamradio-all
+Section: metapackages
+Architecture: all
+Recommends: hamradio-antenna,
+ hamradio-datamodes,
+ hamradio-digitalvoice,
+ hamradio-logging,
+ hamradio-morse,
+ hamradio-nonamateur,
+ hamradio-packetmodes,
+ hamradio-rigcontrol,
+ hamradio-satellite,
+ hamradio-sdr,
+ hamradio-tools,
+ hamradio-training
+Description: Default selection of tasks for Debian Hamradio
+ This package is part of the Debian Hamradio Pure Blend and installs all
+ tasks for a default installation of this blend.
+
 Package: hamradio-antenna
 Section: metapackages
 Architecture: all
 Depends: hamradio-tasks (= ${binary:Version})
 Recommends: antennavis,
  gsmc,
- nec,
  nec2c,
  splat,
  xnec2c,
  yagiuda
+Suggests: nec
 Description: Debian Hamradio Antenna Packages
  This metapackage will install packages useful when working with antennas
  in Debian.
@@ -40,15 +59,15 @@
  flwrap,
  hamfax,
  linpsk,
+ psk31lx,
  qsstv,
  twpsk,
- wsjt,
  wsjtx
 Suggests: comptext,
  comptty,
  kvasd-installer,
  linsim,
- psk31lx,
+ wsjt,
  wspr
 Description: Debian Hamradio Data Modes Packages
  This metapackage will install packages useful for using data modes, such as
@@ -89,13 +108,13 @@
  cw,
  cwcp,
  cwdaemon,
- cwirc,
  ebook2cw,
  morse,
  morse2ascii,
  qrq,
  xcwcp
-Suggests: flwkey
+Suggests: cwirc,
+ flwkey
 Description: Debian Hamradio Morse/CW Packages
  This metapackage will install packages useful for CW operation and
  for learning morse with Debian.
@@ -104,10 +123,10 @@
 Section: metapackages
 Architecture: all
 Depends: hamradio-tasks (= ${binary:Version})
-Recommends: gnuais,
+Recommends: gnss-sdr,
+ gnuais,
  gnuaisgui
-Suggests: dump1090,
- gnss-sdr
+Suggests: dump1090
 Description: Debian Hamradio Non-Amateur Modes Packages
  This metapackage will install packages useful for listening to non-amateur
  modes such as AIS and ADS-B.
@@ -117,20 +136,20 @@
 Architecture: all
 Depends: hamradio-tasks (= ${binary:Version})
 Recommends: aprsdigi,
+ aprx,
  ax25-apps,
- ax25-node,
  ax25-tools,
  ax25-xtools,
  ax25mail-utils,
- colrconv,
  direwolf,
  fbb,
  multimon,
  soundmodem,
+ uronode,
  xastir
-Suggests: aprx,
- baycomepp,
+Suggests: baycomepp,
  baycomusb,
+ colrconv,
  z8530-utils2
 Description: Debian Hamradio Packet Mode Packages
  This metapackage will install packages useful when using AX.25, including IPv4
@@ -169,6 +188,7 @@
 Recommends: airspy,
  bladerf,
  cutesdr,
+ gnss-sdr,
  gnuradio,
  gqrx-sdr,
  hackrf,
@@ -178,7 +198,6 @@
  rtl-sdr,
  sdrangelove
 Suggests: dream,
- gnss-sdr,
  linrad,
  sdr-j
 Description: Debian Hamradio Software Defined Radio Packages
@@ -190,12 +209,12 @@
 Architecture: all
 Depends: hamradio-tasks (= ${binary:Version})
 Recommends: gcb,
+ pydxcluster,
  splat,
  twclock,
  wwl,
  xdx
-Suggests: flnet,
- pydxcluster
+Suggests: flnet
 Description: Debian Hamradio Tools Packages
  This metapackage will install packages with useful hamradio-related tools.

## debian-hamradio 0.4

=== debian/changelog ===
debian-hamradio (0.4) unstable; urgency=medium

  * tasks/anetenna:
   - Added linsmith
  * tasks/packetmodes:
   - Added ampr-ripd (Suggests only)
  * tasks/sdr:
   - Added inspectrum
 
 -- Iain R. Learmonth <irl@debian.org>  Sat, 29 Oct 2016 04:39:41 +0100

=== debian/control ===
--- 
+++ 
@@ -14,31 +14,13 @@
 Description: Debian Hamradio Tasks
  This package contains tasksel information for the Debian Hamradio Pure Blend.
 
-Package: hamradio-all
-Section: metapackages
-Architecture: all
-Recommends: hamradio-antenna,
- hamradio-datamodes,
- hamradio-digitalvoice,
- hamradio-logging,
- hamradio-morse,
- hamradio-nonamateur,
- hamradio-packetmodes,
- hamradio-rigcontrol,
- hamradio-satellite,
- hamradio-sdr,
- hamradio-tools,
- hamradio-training
-Description: Default selection of tasks for Debian Hamradio
- This package is part of the Debian Hamradio Pure Blend and installs all
- tasks for a default installation of this blend.
-
 Package: hamradio-antenna
 Section: metapackages
 Architecture: all
 Depends: hamradio-tasks (= ${binary:Version})
 Recommends: antennavis,
  gsmc,
+ linsmith,
  nec2c,
  splat,
  xnec2c,
@@ -147,7 +129,8 @@
  soundmodem,
  uronode,
  xastir
-Suggests: baycomepp,
+Suggests: ampr-ripd,
+ baycomepp,
  baycomusb,
  colrconv,
  z8530-utils2
@@ -192,6 +175,7 @@
  gnuradio,
  gqrx-sdr,
  hackrf,
+ inspectrum,
  lysdr,
  osmo-sdr,
  quisk,
@@ -208,13 +192,13 @@
 Section: metapackages
 Architecture: all
 Depends: hamradio-tasks (= ${binary:Version})
-Recommends: gcb,
- pydxcluster,
+Recommends: pydxcluster,
  splat,
  twclock,
  wwl,
  xdx
-Suggests: flnet
+Suggests: flnet,
+ gcb
 Description: Debian Hamradio Tools Packages
  This metapackage will install packages with useful hamradio-related tools.

## debian-hamradio 0.5

=== debian/changelog ===
debian-hamradio (0.5) unstable; urgency=medium

  * task/tools:
   - Removed gcb
   - Removed wnpp for pydxcluster (Now packaged)
  * task/packetmodes:
   - Removed colrconv
  * task/morse:
   - Removed cwirc
  * task/antenna:
   - Removed nec
  * task/sdr:
   - Added WNPP bug for linrad
   - Added cubicsdr (Closes: #869566)

 -- Iain R. Learmonth <irl@debian.org>  Mon, 11 Sep 2017 00:10:15 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Package: hamradio-antenna
 Section: metapackages
 Architecture: all
-Depends: hamradio-tasks (= ${binary:Version})
+Depends: hamradio-tasks (= ${source:Version}), ${misc:Depends}
 Recommends: antennavis,
  gsmc,
  linsmith,
@@ -25,7 +25,6 @@
  splat,
  xnec2c,
  yagiuda
-Suggests: nec
 Description: Debian Hamradio Antenna Packages
  This metapackage will install packages useful when working with antennas
  in Debian.
@@ -33,7 +32,7 @@
 Package: hamradio-datamodes
 Section: metapackages
 Architecture: all
-Depends: hamradio-tasks (= ${binary:Version})
+Depends: hamradio-tasks (= ${source:Version}), ${misc:Depends}
 Recommends: acfax,
  flamp,
  fldigi,
@@ -43,13 +42,13 @@
  linpsk,
  psk31lx,
  qsstv,
- twpsk,
- wsjtx
+ twpsk
 Suggests: comptext,
  comptty,
  kvasd-installer,
  linsim,
  wsjt,
+ wsjtx,
  wspr
 Description: Debian Hamradio Data Modes Packages
  This metapackage will install packages useful for using data modes, such as
@@ -58,7 +57,7 @@
 Package: hamradio-digitalvoice
 Section: metapackages
 Architecture: all
-Depends: hamradio-tasks (= ${binary:Version})
+Depends: hamradio-tasks (= ${source:Version}), ${misc:Depends}
 Recommends: d-rats,
  freedv
 Suggests: svxlink
@@ -69,7 +68,7 @@
 Package: hamradio-logging
 Section: metapackages
 Architecture: all
-Depends: hamradio-tasks (= ${binary:Version})
+Depends: hamradio-tasks (= ${source:Version}), ${misc:Depends}
 Recommends: cqrlog,
  klog,
  pyqso,
@@ -85,7 +84,7 @@
 Package: hamradio-morse
 Section: metapackages
 Architecture: all
-Depends: hamradio-tasks (= ${binary:Version})
+Depends: hamradio-tasks (= ${source:Version}), ${misc:Depends}
 Recommends: aldo,
  cw,
  cwcp,
@@ -95,8 +94,7 @@
  morse2ascii,
  qrq,
  xcwcp
-Suggests: cwirc,
- flwkey
+Suggests: flwkey
 Description: Debian Hamradio Morse/CW Packages
  This metapackage will install packages useful for CW operation and
  for learning morse with Debian.
@@ -104,11 +102,11 @@
 Package: hamradio-nonamateur
 Section: metapackages
 Architecture: all
-Depends: hamradio-tasks (= ${binary:Version})
-Recommends: gnss-sdr,
- gnuais,
+Depends: hamradio-tasks (= ${source:Version}), ${misc:Depends}
+Recommends: gnuais,
  gnuaisgui
-Suggests: dump1090
+Suggests: dump1090,
+ gnss-sdr
 Description: Debian Hamradio Non-Amateur Modes Packages
  This metapackage will install packages useful for listening to non-amateur
  modes such as AIS and ADS-B.
@@ -116,7 +114,7 @@
 Package: hamradio-packetmodes
 Section: metapackages
 Architecture: all
-Depends: hamradio-tasks (= ${binary:Version})
+Depends: hamradio-tasks (= ${source:Version}), ${misc:Depends}
 Recommends: aprsdigi,
  aprx,
  ax25-apps,
@@ -132,7 +130,6 @@
 Suggests: ampr-ripd,
  baycomepp,
  baycomusb,
- colrconv,
  z8530-utils2
 Description: Debian Hamradio Packet Mode Packages
  This metapackage will install packages useful when using AX.25, including IPv4
@@ -141,7 +138,7 @@
 Package: hamradio-rigcontrol
 Section: metapackages
 Architecture: all
-Depends: hamradio-tasks (= ${binary:Version})
+Depends: hamradio-tasks (= ${source:Version}), ${misc:Depends}
 Recommends: chirp,
  flrig,
  grig,
@@ -157,7 +154,7 @@
 Package: hamradio-satellite
 Section: metapackages
 Architecture: all
-Depends: hamradio-tasks (= ${binary:Version})
+Depends: hamradio-tasks (= ${source:Version}), ${misc:Depends}
 Recommends: gpredict,
  predict,
  predict-gsat
@@ -167,23 +164,24 @@
 Package: hamradio-sdr
 Section: metapackages
 Architecture: all
-Depends: hamradio-tasks (= ${binary:Version})
+Depends: hamradio-tasks (= ${source:Version}), ${misc:Depends}
 Recommends: airspy,
  bladerf,
+ cubicsdr,
  cutesdr,
- gnss-sdr,
- gnuradio,
- gqrx-sdr,
  hackrf,
  inspectrum,
  lysdr,
  osmo-sdr,
  quisk,
- rtl-sdr,
+ rtl-sdr
+Suggests: dream,
+ gnss-sdr,
+ gnuradio,
+ gqrx-sdr,
+ linrad,
+ sdr-j,
  sdrangelove
-Suggests: dream,
- linrad,
- sdr-j
 Description: Debian Hamradio Software Defined Radio Packages
  This metapackage will install packages useful when using
  Software-Defined Radio with Debian.
@@ -191,21 +189,20 @@
 Package: hamradio-tools
 Section: metapackages
 Architecture: all
-Depends: hamradio-tasks (= ${binary:Version})
+Depends: hamradio-tasks (= ${source:Version}), ${misc:Depends}
 Recommends: pydxcluster,
  splat,
  twclock,
  wwl,
  xdx
-Suggests: flnet,
- gcb
+Suggests: flnet
 Description: Debian Hamradio Tools Packages
  This metapackage will install packages with useful hamradio-related tools.
 
 Package: hamradio-training
 Section: metapackages
 Architecture: all
-Depends: hamradio-tasks (= ${binary:Version})
+Depends: hamradio-tasks (= ${source:Version}), ${misc:Depends}
 Recommends: aldo,
  cw,
  cwcp,

## debian-hamradio 0.5ubuntu1

=== debian/changelog ===
debian-hamradio (0.5ubuntu1) disco; urgency=medium

  * task/logging:
    - Removed cqrlog, doesn't support openssl1.1 atm.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 11 Nov 2018 15:22:29 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Source: debian-hamradio
 Section: misc
 Priority: extra
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Iain R. Learmonth <irl@debian.org>
 Build-Depends-Indep: debhelper (>= 9),
                      blends-dev (>= 0.6.16.4)
@@ -69,8 +70,7 @@
 Section: metapackages
 Architecture: all
 Depends: hamradio-tasks (= ${source:Version}), ${misc:Depends}
-Recommends: cqrlog,
- klog,
+Recommends: klog,
  pyqso,
  tlf,
  trustedqsl,

## debian-hamradio 0.7

=== debian/changelog ===
debian-hamradio (0.7) unstable; urgency=medium

  * Remove unnecessary version on the blends-dev build dep.

 -- Francois Marier <francois@debian.org>  Fri, 07 Aug 2020 10:24:28 -0700

debian-hamradio (0.6) unstable; urgency=medium

  [ Andreas Tille ]
  * Add missing Vcs-fields

  [ Daniele Forsi ]
  * Delete packages that were removed from Debian or never added
  * Add packages
  * Add more packages
  * Move fccexam to hamradio-nonamateur
  * Add Homepage field for debian/control
  * Add electronics-radio-dev to antenna task

  [ Francois Marier ]
  * Add canadian-ham-exam to training (closes: #965160)
  * Update VCS fields for Salsa
  * Add myself to Uploaders
  * Bump debhelper compat to 13.
  * Bump Standards-Version to 4.5.0.
  * Upgrade to blends format 1.1.
  * Change package priority from extra to optional
  * Use HTTPS URL for debian/copyright
  * Build without root
  * Switch to source package format 3.0 (native).
  * Add ${misc:Depends} dependency.

 -- Francois Marier <francois@debian.org>  Mon, 03 Aug 2020 09:23:04 -0700

=== debian/control ===
# This file is autogenerated. Do not edit!
Source: debian-hamradio
Section: misc
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>, Francois Marier <francois@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: blends-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/blends-team/hamradio
Vcs-Git: https://salsa.debian.org/blends-team/hamradio.git
Homepage: https://wiki.debian.org/DebianHams

Package: hamradio-tasks
Architecture: all
Depends: tasksel, ${misc:Depends}
Description: Debian Hamradio Tasks
 This package contains tasksel information for the Debian Hamradio Pure Blend.

Package: hamradio-all
Section: metapackages
Architecture: all
Depends: ${misc:Depends}
Recommends: hamradio-antenna,
            hamradio-datamodes,
            hamradio-digitalvoice,
            hamradio-logging,
            hamradio-morse,
            hamradio-nonamateur,
            hamradio-packetmodes,
            hamradio-rigcontrol,
            hamradio-satellite,
            hamradio-sdr,
            hamradio-tools,
            hamradio-training
Description: Default selection of tasks for Debian Hamradio
 This package is part of the Debian Hamradio Pure Blend and installs all
 tasks for a default installation of this blend.

Package: hamradio-antenna
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         hamradio-tasks (= ${source:Version})
Recommends: electronics-radio-dev,
            splat,
            xnecview
Description: Debian Hamradio Antenna Packages
 This metapackage will install packages useful when working with antennas
 in Debian.

Package: hamradio-datamodes
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         hamradio-tasks (= ${source:Version})
Recommends: comptext,
            comptty,
            flamp,
            fldigi,
            flmsg,
            flwrap,
            linpsk,
            psk31lx,
            qsstv,
            twpsk,
            wsjtx
Suggests: acfax,
          hamfax
Description: Debian Hamradio Data Modes Packages
 This metapackage will install packages useful for using data modes, such as
 RTTY and SSTV, including weak signal modes, such as JT65, with Debian.

Package: hamradio-digitalvoice
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         hamradio-tasks (= ${source:Version})
Recommends: freedv,
            qtel,
            svxlink-calibration-tools,
            svxlink-gpio,
            svxlink-server,
            svxreflector
Description: Debian Hamradio Digital Voice Packages
 This metapackage will install packages useful when using
 digital voice modes on RF and for Internet linking.

Package: hamradio-logging
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         hamradio-tasks (= ${source:Version})
Recommends: cqrlog,
            klog,
            pyqso,
            tlf,
            trustedqsl,
            tucnak,
            xlog
Description: Debian Hamradio Logging Packages
 This metapackage will install packages useful for logging (including for
 contests) with Debian.

Package: hamradio-morse
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         hamradio-tasks (= ${source:Version})
Recommends: aldo,
            cw,
            cwcp,
            cwdaemon,
            ebook2cw,
            ebook2cwgui,
            glfer,
            morse,
            morse2ascii,
            qrq,
            xcwcp,
            xdemorse
Description: Debian Hamradio Morse/CW Packages
 This metapackage will install packages useful for CW operation and
 for learning morse with Debian.

Package: hamradio-nonamateur
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         hamradio-tasks (= ${source:Version})
Recommends: dablin,
            fccexam,
            gnss-sdr,
            gr-rds,
            hacktv,
            radioclk,
            rtl-433,
            tempest-for-eliza,
            welle.io
Suggests: dump1090-mutability,
          gnuais,
          gnuaisgui
Description: Debian Hamradio Non-Amateur Modes Packages
 This metapackage will install packages useful for listening to non-amateur
 modes such as AIS and ADS-B.

Package: hamradio-packetmodes
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         hamradio-tasks (= ${source:Version})
Recommends: aprsdigi,
            aprx,
            ax25-apps,
            ax25-tools,
            ax25-xtools,
            ax25mail-utils,
            axmail,
            direwolf,
            fbb,
            linpac,
            multimon,
            multimon-ng,
            p10cfgd,
            soundmodem,
            xastir
Suggests: ampr-ripd,
          baycomepp,
          baycomusb,
          uronode,
          z8530-utils2
Description: Debian Hamradio Packet Mode Packages
 This metapackage will install packages useful when using AX.25, including IPv4
 over AX.25 and APRS, with Debian.

Package: hamradio-rigcontrol
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         hamradio-tasks (= ${source:Version})
Recommends: dmrconfig,
            flrig,
            grig,
            icom,
            libhamlib-utils,
            owx,
            remotetrx,
            tk2,
            tk5
Suggests: chirp
Description: Debian Hamradio Rig Control Packages
 This metapackage will install packages with useful for rig
 control and programming.

Package: hamradio-satellite
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         hamradio-tasks (= ${source:Version})
Recommends: gpredict
Description: Debian Hamradio Satellite Operation Packages
 This metapackage will install packages useful for amateur satellite operation.

Package: hamradio-sdr
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         hamradio-tasks (= ${source:Version})
Recommends: airspy,
            bladerf,
            cubicsdr,
            cutesdr,
            gnss-sdr,
            gnuradio,
            gqrx-sdr,
            gr-dab,
            gr-fcdproplus,
            gr-hpsdr,
            gr-limesdr,
            gr-osmosdr,
            hackrf,
            inspectrum,
            limesuite,
            lysdr,
            miri-sdr,
            osmo-sdr,
            qthid-fcd-controller,
            quisk,
            rtl-sdr,
            sdrangelove,
            soapysdr-module-all,
            uhd-host,
            uhd-soapysdr
Description: Debian Hamradio Software Defined Radio Packages
 This metapackage will install packages useful when using
 Software-Defined Radio with Debian.

Package: hamradio-tools
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         hamradio-tasks (= ${source:Version})
Recommends: splat,
            twclock,
            wwl,
            xdx
Suggests: pydxcluster
Description: Debian Hamradio Tools Packages
 This metapackage will install packages with useful hamradio-related tools.

Package: hamradio-training
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         hamradio-tasks (= ${source:Version})
Recommends: aldo,
            canadian-ham-exam,
            cw,
            cwcp,
            hamexam,
            morse,
            xcwcp
Description: Debian Hamradio Training Packages
 This metapackage will install packages useful when training
 for hamradio exams with Debian.

## debian-hamradio 0.8

=== debian/changelog ===
debian-hamradio (0.8) unstable; urgency=medium

  * Team upload.

  [ Daniele Forsi ]
  * Delete packages that were removed from Debian: acfax, hamfax, linpsk,
    lysdr, pydxcluster.
  * Add missing packages: js8call, gr-air-modes, tmd710-tncsetup, airspyhf,
    langford-utils, tzwatch, dsdcc, minimodem, soapyremote-server, kel-agent.

  [ Christoph Berg ]
  * Retire Iain from Uploaders, thanks for your work! (Closes: #986959)

 -- Christoph Berg <myon@debian.org>  Wed, 05 Jan 2022 11:54:33 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: misc
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Iain R. Learmonth <irl@debian.org>, Francois Marier <francois@debian.org>
+Uploaders: Francois Marier <francois@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: blends-dev
 Standards-Version: 4.5.0
@@ -59,15 +59,13 @@
             comptty,
             flamp,
             fldigi,
-            flmsg,
             flwrap,
-            linpsk,
+            js8call,
             psk31lx,
             qsstv,
             twpsk,
             wsjtx
-Suggests: acfax,
-          hamfax
+Suggests: flmsg
 Description: Debian Hamradio Data Modes Packages
  This metapackage will install packages useful for using data modes, such as
  RTTY and SSTV, including weak signal modes, such as JT65, with Debian.
@@ -77,7 +75,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          hamradio-tasks (= ${source:Version})
-Recommends: freedv,
+Recommends: dsdcc,
+            freedv,
             qtel,
             svxlink-calibration-tools,
             svxlink-gpio,
@@ -130,17 +129,18 @@
 Depends: ${misc:Depends},
          hamradio-tasks (= ${source:Version})
 Recommends: dablin,
+            dump1090-mutability,
             fccexam,
             gnss-sdr,
+            gnuais,
+            gnuaisgui,
+            gr-air-modes,
             gr-rds,
             hacktv,
             radioclk,
             rtl-433,
             tempest-for-eliza,
             welle.io
-Suggests: dump1090-mutability,
-          gnuais,
-          gnuaisgui
 Description: Debian Hamradio Non-Amateur Modes Packages
  This metapackage will install packages useful for listening to non-amateur
  modes such as AIS and ADS-B.
@@ -160,15 +160,16 @@
             direwolf,
             fbb,
             linpac,
+            minimodem,
             multimon,
             multimon-ng,
             p10cfgd,
             soundmodem,
+            uronode,
             xastir
 Suggests: ampr-ripd,
           baycomepp,
           baycomusb,
-          uronode,
           z8530-utils2
 Description: Debian Hamradio Packet Mode Packages
  This metapackage will install packages useful when using AX.25, including IPv4
@@ -179,7 +180,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          hamradio-tasks (= ${source:Version})
-Recommends: dmrconfig,
+Recommends: chirp,
+            dmrconfig,
             flrig,
             grig,
             icom,
@@ -187,10 +189,10 @@
             owx,
             remotetrx,
             tk2,
-            tk5
-Suggests: chirp
+            tk5,
+            tmd710-tncsetup
 Description: Debian Hamradio Rig Control Packages
- This metapackage will install packages with useful for rig
+ This metapackage will install packages useful for rig
  control and programming.
 
 Package: hamradio-satellite
@@ -208,6 +210,7 @@
 Depends: ${misc:Depends},
          hamradio-tasks (= ${source:Version})
 Recommends: airspy,
+            airspyhf,
             bladerf,
             cubicsdr,
             cutesdr,
@@ -221,14 +224,15 @@
             gr-osmosdr,
             hackrf,
             inspectrum,
+            langford-utils,
             limesuite,
-            lysdr,
             miri-sdr,
             osmo-sdr,
             qthid-fcd-controller,
             quisk,
             rtl-sdr,
             sdrangelove,
+            soapyremote-server,
             soapysdr-module-all,
             uhd-host,
             uhd-soapysdr
@@ -241,11 +245,12 @@
 Architecture: all
 Depends: ${misc:Depends},
          hamradio-tasks (= ${source:Version})
-Recommends: splat,
+Recommends: kel-agent,
+            splat,
             twclock,
+            tzwatch,
             wwl,
             xdx
-Suggests: pydxcluster
 Description: Debian Hamradio Tools Packages
  This metapackage will install packages with useful hamradio-related tools.

## debian-hamradio 0.10

=== debian/changelog ===
debian-hamradio (0.10) unstable; urgency=medium

  * Delete packages removed from debian: glfer, p10cfgd, xnecview, sdr++
  * Move multimon* to datamodes
  * Move jtdx to datamodes
  * Move pat to packetmodes

 -- Dave Hibberd <hibby@debian.org>  Thu, 10 Oct 2024 16:09:29 +0100

debian-hamradio (0.9) unstable; urgency=medium
  
  [ Daniele Forsi ]
  * Update the list of packages.
    Add sdr++, gr-satellites, wfview, qdmr, pat.
    Remove: sdrangelove, gr-fcdproplus, gr-dab, owx, flmsg.
  * Add packages: jtdx, jtdx, kappanhang, odr-padenc, flsmg.
  * Replace soapysdr-module-all with soapysdr-tools.
  * Add packages: a2d, gr-gsm, odr-audioenc, odr-dabmod, odr-dabmux,
    python3-meshtastic, python3-pyhamtools, qttinysa, rtl-ais, satdump
    and soapysdr-module-*.

  [ Dave Hibberd ] 
  * Bump standards

 -- Dave Hibberd <hibby@debian.org>  Tue, 27 Aug 2024 21:17:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Section: misc
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Francois Marier <francois@debian.org>
+Uploaders: Francois Marier <francois@debian.org>,
+	   Dave Hibberd <hibby@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: blends-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/blends-team/hamradio
 Vcs-Git: https://salsa.debian.org/blends-team/hamradio.git
@@ -44,8 +45,10 @@
 Depends: ${misc:Depends},
          hamradio-tasks (= ${source:Version})
 Recommends: electronics-radio-dev,
+            nec2c,
             splat,
-            xnecview
+            xnec2c,
+            yagiuda
 Description: Debian Hamradio Antenna Packages
  This metapackage will install packages useful when working with antennas
  in Debian.
@@ -59,13 +62,17 @@
             comptty,
             flamp,
             fldigi,
+            flmsg,
             flwrap,
             js8call,
+            jtdx,
+            multimon,
+            multimon-ng,
             psk31lx,
             qsstv,
             twpsk,
             wsjtx
-Suggests: flmsg
+Suggests: hacktv
 Description: Debian Hamradio Data Modes Packages
  This metapackage will install packages useful for using data modes, such as
  RTTY and SSTV, including weak signal modes, such as JT65, with Debian.
@@ -94,6 +101,7 @@
 Recommends: cqrlog,
             klog,
             pyqso,
+            python3-pyhamtools,
             tlf,
             trustedqsl,
             tucnak,
@@ -113,7 +121,6 @@
             cwdaemon,
             ebook2cw,
             ebook2cwgui,
-            glfer,
             morse,
             morse2ascii,
             qrq,
@@ -129,18 +136,24 @@
 Depends: ${misc:Depends},
          hamradio-tasks (= ${source:Version})
 Recommends: dablin,
-            dump1090-mutability,
             fccexam,
             gnss-sdr,
             gnuais,
             gnuaisgui,
             gr-air-modes,
+            gr-gsm,
             gr-rds,
             hacktv,
+            odr-dabmod,
+            odr-dabmux,
+            odr-padenc,
             radioclk,
             rtl-433,
+            rtl-ais,
             tempest-for-eliza,
             welle.io
+Suggests: dump1090-mutability,
+          odr-audioenc
 Description: Debian Hamradio Non-Amateur Modes Packages
  This metapackage will install packages useful for listening to non-amateur
  modes such as AIS and ADS-B.
@@ -150,7 +163,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          hamradio-tasks (= ${source:Version})
-Recommends: aprsdigi,
+Recommends: a2d,
+            aprsdigi,
             aprx,
             ax25-apps,
             ax25-tools,
@@ -161,9 +175,7 @@
             fbb,
             linpac,
             minimodem,
-            multimon,
-            multimon-ng,
-            p10cfgd,
+            pat,
             soundmodem,
             uronode,
             xastir
@@ -185,12 +197,16 @@
             flrig,
             grig,
             icom,
+            kappanhang,
             libhamlib-utils,
-            owx,
+            python3-meshtastic,
+            qdmr,
+            qttinysa,
             remotetrx,
             tk2,
             tk5,
-            tmd710-tncsetup
+            tmd710-tncsetup,
+            wfview
 Description: Debian Hamradio Rig Control Packages
  This metapackage will install packages useful for rig
  control and programming.
@@ -200,7 +216,9 @@
 Architecture: all
 Depends: ${misc:Depends},
          hamradio-tasks (= ${source:Version})
-Recommends: gpredict
+Recommends: gpredict,
+            gr-satellites
+Suggests: satdump
 Description: Debian Hamradio Satellite Operation Packages
  This metapackage will install packages useful for amateur satellite operation.
 
@@ -217,8 +235,6 @@
             gnss-sdr,
             gnuradio,
             gqrx-sdr,
-            gr-dab,
-            gr-fcdproplus,
             gr-hpsdr,
             gr-limesdr,
             gr-osmosdr,
@@ -231,9 +247,20 @@
             qthid-fcd-controller,
             quisk,
             rtl-sdr,
-            sdrangelove,
             soapyremote-server,
-            soapysdr-module-all,
+            soapysdr-module-airspy,
+            soapysdr-module-audio,
+            soapysdr-module-bladerf,
+            soapysdr-module-hackrf,
+            soapysdr-module-lms7,
+            soapysdr-module-mirisdr,
+            soapysdr-module-osmosdr,
+            soapysdr-module-redpitaya,
+            soapysdr-module-remote,
+            soapysdr-module-rfspace,
+            soapysdr-module-rtlsdr,
+            soapysdr-module-uhd,
+            soapysdr-tools,
             uhd-host,
             uhd-soapysdr
 Description: Debian Hamradio Software Defined Radio Packages
@@ -245,12 +272,12 @@
 Architecture: all
 Depends: ${misc:Depends},
          hamradio-tasks (= ${source:Version})
-Recommends: kel-agent,
-            splat,
+Recommends: splat,
             twclock,
             tzwatch,
             wwl,
             xdx
+Suggests: kel-agent
 Description: Debian Hamradio Tools Packages
  This metapackage will install packages with useful hamradio-related tools.

## debian-hamradio 0.10ubuntu1

=== debian/changelog ===
debian-hamradio (0.10ubuntu1) resolute; urgency=medium

  * d/control: Remove soapysdr-module-rfspace recommendation, it does not exist.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 06 Dec 2025 00:17:05 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Source: debian-hamradio
 Section: misc
 Priority: optional
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Francois Marier <francois@debian.org>,
 	   Dave Hibberd <hibby@debian.org>
 Build-Depends: debhelper-compat (= 13)
@@ -257,7 +258,6 @@
             soapysdr-module-osmosdr,
             soapysdr-module-redpitaya,
             soapysdr-module-remote,
-            soapysdr-module-rfspace,
             soapysdr-module-rtlsdr,
             soapysdr-module-uhd,
             soapysdr-tools,

## debian-hamradio 0.11

=== debian/changelog ===
debian-hamradio (0.11) unstable; urgency=medium

  [ Daniele Forsi ]
  * Remove WNPP for dump1090-mutability (packaged)
  * Remove WNPP for gnss-sdr (packaged)
  * Sort entries in hamradio-antenna and hamradio-nonamateur
  * Add cassbeam and nanovna-saver to hamradio-antenna
  * Add pythonprop and voacapl to hamradio-tools
  * Add mlat-client-adsbfi to hamradio-nonamateur
  * Add gtk-meshtastic-client and m2kcli to hamradio-rigcontrol

  [ Dave Hibberd ]
  * Update meshtastic into hamradio-nonamateur
  * d/control
    - Bump standards to 4.7.3
    - Remove Rules-require-root
    - Remove priority:optional

 -- Dave Hibberd <hibby@debian.org>  Sun, 25 Jan 2026 14:51:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,12 @@
 # This file is autogenerated. Do not edit!
 Source: debian-hamradio
 Section: misc
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Francois Marier <francois@debian.org>,
 	   Dave Hibberd <hibby@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: blends-dev
-Standards-Version: 4.7.0.1
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/blends-team/hamradio
 Vcs-Git: https://salsa.debian.org/blends-team/hamradio.git
 Homepage: https://wiki.debian.org/DebianHams
@@ -45,7 +42,9 @@
 Architecture: all
 Depends: ${misc:Depends},
          hamradio-tasks (= ${source:Version})
-Recommends: electronics-radio-dev,
+Recommends: cassbeam,
+            electronics-radio-dev,
+            nanovna-saver,
             nec2c,
             splat,
             xnec2c,
@@ -137,6 +136,7 @@
 Depends: ${misc:Depends},
          hamradio-tasks (= ${source:Version})
 Recommends: dablin,
+            dump1090-mutability,
             fccexam,
             gnss-sdr,
             gnuais,
@@ -144,17 +144,19 @@
             gr-air-modes,
             gr-gsm,
             gr-rds,
+            gtk-meshtastic-client,
             hacktv,
+            mlat-client-adsbfi,
             odr-dabmod,
             odr-dabmux,
             odr-padenc,
+            python3-meshtastic,
             radioclk,
             rtl-433,
             rtl-ais,
             tempest-for-eliza,
             welle.io
-Suggests: dump1090-mutability,
-          odr-audioenc
+Suggests: odr-audioenc
 Description: Debian Hamradio Non-Amateur Modes Packages
  This metapackage will install packages useful for listening to non-amateur
  modes such as AIS and ADS-B.
@@ -200,14 +202,14 @@
             icom,
             kappanhang,
             libhamlib-utils,
-            python3-meshtastic,
+            m2kcli,
             qdmr,
             qttinysa,
             remotetrx,
-            tk2,
-            tk5,
             tmd710-tncsetup,
             wfview
+Suggests: tk2,
+          tk5
 Description: Debian Hamradio Rig Control Packages
  This metapackage will install packages useful for rig
  control and programming.
@@ -218,8 +220,8 @@
 Depends: ${misc:Depends},
          hamradio-tasks (= ${source:Version})
 Recommends: gpredict,
-            gr-satellites
-Suggests: satdump
+            gr-satellites,
+            satdump
 Description: Debian Hamradio Satellite Operation Packages
  This metapackage will install packages useful for amateur satellite operation.
 
@@ -263,6 +265,7 @@
             soapysdr-tools,
             uhd-host,
             uhd-soapysdr
+Suggests: soapysdr-module-rfspace
 Description: Debian Hamradio Software Defined Radio Packages
  This metapackage will install packages useful when using
  Software-Defined Radio with Debian.
@@ -272,12 +275,14 @@
 Architecture: all
 Depends: ${misc:Depends},
          hamradio-tasks (= ${source:Version})
-Recommends: splat,
+Recommends: kel-agent,
+            pythonprop,
+            splat,
             twclock,
-            tzwatch,
+            voacapl,
             wwl,
             xdx
-Suggests: kel-agent
+Suggests: tzwatch
 Description: Debian Hamradio Tools Packages
  This metapackage will install packages with useful hamradio-related tools.
